# Class CompareResourceFilter

java.lang.Object
org.eclipse.compare.internal.CompareResourceFilter

public class CompareResourceFilter extends Object

## Constructor Summary

Constructors
Constructor
Description
`CompareResourceFilter()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`filter(String path0, boolean folder, boolean isArchive)`
`void`
`setFilters(String filterSequence)`
`static String`
`validateResourceFilters(String text)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CompareResourceFilter

public CompareResourceFilter()

## Method Details

### filter

public boolean filter(String path0, boolean folder, boolean isArchive)

### validateResourceFilters

public static String validateResourceFilters(String text)

### setFilters

public void setFilters(String filterSequence)